summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCorentin LABBE <clabbe@baylibre.com>2020-08-18 16:49:20 +0200
committerCorentin LABBE <clabbe@baylibre.com>2020-11-04 15:07:17 +0000
commite7c8b7dfad82a42fe6e52bbf31147a27e3a7237a (patch)
treee03dd256a2b3ed40f1cfeb7d15398dbcdf269f9f
parentea5ae2e3cc03560683b019d9bcf78657dec35138 (diff)
Fix device-types patcher
The device-types patchs were not used since 9918419127b ("Handle the change of device-type storage"). The patch was correctly modified with path hacks, but not applied.
-rw-r--r--lava-master/device-types-patch/patch-device-type.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/lava-master/device-types-patch/patch-device-type.sh b/lava-master/device-types-patch/patch-device-type.sh
index eb7da43..2e1a0c5 100644
--- a/lava-master/device-types-patch/patch-device-type.sh
+++ b/lava-master/device-types-patch/patch-device-type.sh
@@ -10,5 +10,7 @@ for patch in $(ls /root/device-types-patch/*patch)
do
echo "DEBUG: patch with $patch"
sed -i 's,lava_scheduler_app/tests/device-types/,,' $patch
+ sed -i 's,etc/dispatcher-config/device-types/,,' $patch
+ patch -p1 < $patch || exit $?
done
chown -R lavaserver:lavaserver $DEVTYPE_PATH